##  for Mageia 9  ##

%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

# turn off debuginfo package
%define debug_package %{nil}


Name:    xcb-imdkit
Summary: An implementation of xim protocol in xcb
Version: 1.0.9
Release: 1.np9
License: LGPLv2 and MIT
Group:   System/X11
Url:     https://github.com/fcitx/xcb-imdkit
Source: %{name}-%{version}.tar.zst

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-keysyms)
BuildRequires: pkgconfig(xcb-util)

%description
xcb-imdkit is an implementation of xim protocol in xcb, comparing with the implementation of IMDkit with Xlib, and xim inside Xlib, it has less memory foot print, better performance, and safer on malformed client.

# ---------------------------------------------------------------

%package -n %{libname}
Summary: An implementation of xim protocol in xcb
Group:   System/X11

%description -n %{libname}
xcb-imdkit is an implementation of xim protocol in xcb, comparing with the implementation of IMDkit with Xlib, and xim inside Xlib, it has less memory foot print, better performance, and safer on malformed client.

# ---------------------------------------------------------------

%package -n %{develname}
Summary: Development files for xcb-imdkit
Group:   Development/C
Requires: %{libname} = %{version}-%{release}

%description -n %{develname}
This package provides development files for xcb-imdkit.

# ---------------------------------------------------------------

%prep
%setup -q


%build
%cmake
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install


%files -n %{libname}
%defattr(-,root,root)
%doc README.md
%license LICENSES
%{_libdir}/libxcb-imdkit.so.%{major}
%{_libdir}/libxcb-imdkit.so.%{version}

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/xcb-imdkit
%{_libdir}/cmake/XCBImdkit
%{_libdir}/libxcb-imdkit.so
%{_libdir}/pkgconfig/xcb-imdkit.pc


%changelog
* Sat Jun 01 2024 tomcat <> 1.0.9-1.np9
- 1.0.9

* Wed Apr 24 2024 tomcat <> 1.0.8-2.np9
- fix %%files

* Tue Apr 23 2024 tomcat <> 1.0.8-1.np9
- 1.0.8

* Fri Mar 01 2024 tomcat <> 1.0.7-1.np9
- 1.0.7
- update %%files

* Sat Jan 06 2024 tomcat <> 1.0.6-1.np9
- 1.0.6
- update %%files

* Mon Apr 24 2023 tomcat <> 1.0.5-1.np9
- 1.0.5
- update %%files

* Sun Feb 26 2023 tomcat <> 1.0.4-2.np9
- build for Mageia 9

* Sun Nov 20 2022 tomcat <> 1.0.4-1.nora8
- 1.0.4
- update %%files

* Mon Mar 22 2021 tomcat <> 1.0.3-1.nora8
- 1.0.3

* Wed Jan 27 2021 tomcat <> 1.0.2-1.nora8
- build for Mageia 8
